<template>
  <v-container>
    <v-form markRaw="filterForm" fast-fail @submit.prevent="submitForm" class="custom">
      <v-row>

        <v-col class="v-col">
          <div class="custom-label">İşlem Tarihi </div>
          <v-text-field class="text-eureko" :disabled="false" variant="outlined" v-model="form.transactionDate"
            type="date"></v-text-field>
          <div class="custom-label">Açıklama </div><br>
          <v-text-field class="text-eureko" :disabled="false" variant="outlined"
            v-model="form.description"></v-text-field>
          <div class="custom-label">Depo Tipi </div><br>
          <v-combobox class="custom-combobox" :items="repo" variant="outlined" v-model="form.depoType"></v-combobox>
        </v-col>

        <v-col>
          <div class="custom-label">Banka </div>
          <v-combobox class="custom-combobox" :items="banks" variant="outlined" v-model="form.bank"></v-combobox>
          <div class="custom-label">Hesap </div><br>
          <v-combobox class="custom-combobox" :items="banks" variant="outlined" v-model="form.account"></v-combobox>
        </v-col>

        <v-col>
          <div class="custom-label">Ödeme Dövizi </div><br>
          <v-combobox class="custom-combobox" :items="currencies" variant="outlined"
            v-model="form.paymentCurrency"></v-combobox>
          <div class="custom-label">Kur </div><br>
          <v-text-field class="text-eureko" :disabled="false" variant="outlined" v-model="form.exchangeRate" type="number"
            step="0.01"></v-text-field>
          <div class="custom-label">Tutar </div><br>
          <v-text-field class="text-eureko" :disabled="false" variant="outlined" v-model="form.amount"
            type="number"></v-text-field>
        </v-col>

      </v-row>
      <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">
          <custom-button style="width: 120px;margin-left: 10px" color="primary" size="medium" @click="save"
            val="Kaydet" />
        </v-col>
      </v-row>
    </v-form>
  </v-container>
</template>
<script>
import CustomButton from "@/components/custom-controller/CustomButton.vue";
import { reactive, ref} from 'vue';
import axios from 'axios';

export default {
  components: {
    CustomButton,
  },
  setup() {
    const form = reactive({
      transactionDate: null,
      description: '',
      depoType: null,
      bank: null,
      account: null,
      paymentCurrency: null,
      exchangeRate: null,
      amount: null
    });
    const repo = ref(["repo", "repo"]);
    const currencies = ref(["USD", "EUR", "GBP", "JPY", "CAD", "AUD", "CHF", "CNY", "NZD", "ZAR", "RUB", "BRL", "INR", "SGD", "SAR"]);
    const banks = ref(["Akbank", "Garanti BBVA", "Halkbank", "İş Bankası", "Türkiye Cumhuriyeti Ziraat Bankası"]);

    const save = () => {
      const postData = {
        transactionDate: form.transactionDate,
        description: form.description,
        depoType: form.depoType,
        bank: form.bank,
        account: form.account,
        paymentCurrency: form.paymentCurrency,
        exchangeRate: form.exchangeRate,
        amount: form.amount
      };

      axios.post('https://example.com/api/endpoint', postData)
        .then(response => {
          console.log('API response:', response.data);
        })
        .catch(error => {
          console.error('API error:', error);
        });
    };

    return {
      repo,
      currencies,
      banks,
      form,
      save
    };
  }
}
</script>

<style scoped></style>
